<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myPickingSlipLabel" jhiTranslate="mpmApp.pickingSlip.home.createOrEditLabel">Create or edit a Picking Slip</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!pickingSlip.idSlip">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="pickingSlip.idSlip" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.pickingSlip.dateCreate" for="field_dateCreate">Date Create</label>
            <div class="input-group">
                <p-calendar inputId="field_dateCreate" name="input_dateCreate" [(ngModel)]="pickingSlip.dateCreate"
                    dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                    [showIcon]="true"></p-calendar>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.pickingSlip.shipTo" for="field_shipTo">Ship To</label>
            <select class="form-control" id="field_shipTo" name="shipTo" [(ngModel)]="pickingSlip.shipToId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="shipToOption.idShipTo" *ngFor="let shipToOption of shiptos; trackBy: trackShipToById">{{shipToOption.partyName}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.pickingSlip.inventoryItem" for="field_inventoryItem">Inventory Item</label>
            <select class="form-control" id="field_inventoryItem" name="inventoryItem" [(ngModel)]="pickingSlip.inventoryItemId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="inventoryItemOption.idInventoryItem" *ngFor="let inventoryItemOption of inventoryitems; trackBy: trackInventoryItemById">{{inventoryItemOption.id}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.pickingSlip.orderItem" for="field_orderItem">Order Item</label>
            <select class="form-control" id="field_orderItem" name="orderItem" [(ngModel)]="pickingSlip.orderItemId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="orderItemOption.idOrderItem" *ngFor="let orderItemOption of orderitems; trackBy: trackOrderItemById">{{orderItemOption.id}}</option>
            </select>
        </div>
        <!-- <div class="form-group">
            <label for="id" jhiTranslate="mpmApp.pickingSlip.listacc">List Aksesoris</label>
            <table class="table table-bordered">
                <tr>
                    <td class="col-xs-1" style="text-align:center">
                        <p-checkbox name="acc1" [(ngModel)]="pickingSlip.acc1" binary="true"></p-checkbox>
                    </td>
                    <td class="col-md-11">
                        <label class="form-control-label" jhiTranslate="mpmApp.pickingSlip.acc1" for="field_orderItem">Acc 1</label>
                    </td>
                </tr>
                <tr>
                    <td class="col-xs-1" style="text-align:center">
                        <p-checkbox name="acc2" [(ngModel)]="pickingSlip.acc2" binary="true"></p-checkbox>
                    </td>
                    <td class="col-md-11">
                        <label class="form-control-label" jhiTranslate="mpmApp.pickingSlip.acc2" for="field_orderItem">Acc 2</label>
                    </td>
                </tr>
                <tr>
                    <td class="col-xs-1" style="text-align:center">
                        <p-checkbox name="acc3" [(ngModel)]="pickingSlip.acc3" binary="true"></p-checkbox>
                    </td>
                    <td class="col-md-11">
                        <label class="form-control-label" jhiTranslate="mpmApp.pickingSlip.acc3" for="field_orderItem">Acc 3</label>
                    </td>
                </tr>
                <tr>
                    <td class="col-xs-1" style="text-align:center">
                        <p-checkbox name="acc4" [(ngModel)]="pickingSlip.acc4" binary="true"></p-checkbox>
                    </td>
                    <td class="col-md-11">
                        <label class="form-control-label" jhiTranslate="mpmApp.pickingSlip.acc4" for="field_orderItem">Acc 4</label>
                    </td>
                </tr>
                <tr>
                    <td class="col-xs-1" style="text-align:center">
                        <p-checkbox name="acc5" [(ngModel)]="pickingSlip.acc5" binary="true"></p-checkbox>
                    </td>
                    <td class="col-md-11">
                        <label class="form-control-label" jhiTranslate="mpmApp.pickingSlip.acc5" for="field_orderItem">Acc 5</label>
                    </td>
                </tr>
                <tr>
                    <td class="col-xs-1" style="text-align:center">
                        <p-checkbox name="acc6" [(ngModel)]="pickingSlip.acc6" binary="true"></p-checkbox>
                    </td>
                    <td class="col-md-11">
                        <label class="form-control-label" jhiTranslate="mpmApp.pickingSlip.acc6" for="field_orderItem">Acc 6</label>
                    </td>
                </tr>
                <tr>
                    <td class="col-xs-1" style="text-align:center">
                        <p-checkbox name="acc7" [(ngModel)]="pickingSlip.acc7" binary="true"></p-checkbox>
                    </td>
                    <td class="col-md-11">
                        <label class="form-control-label" jhiTranslate="mpmApp.pickingSlip.acc7" for="field_orderItem">Acc 7</label>
                    </td>
                </tr>
            </table>
        </div> -->
        <label for="id" jhiTranslate="mpmApp.pickingSlip.listacc">List Aksesoris</label>
        <div class="row">
            <div class="col-md-3">
                <div class="form-group">
                    <p-checkbox name="acc1" [(ngModel)]="pickingSlip.acc1" binary="true"></p-checkbox>
                    <label class="form-control-label" jhiTranslate="mpmApp.pickingSlip.acc1" for="field_orderItem">Acc 1</label>
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <p-checkbox name="acc2" [(ngModel)]="pickingSlip.acc2" binary="true"></p-checkbox>
                    <label class="form-control-label" jhiTranslate="mpmApp.pickingSlip.acc2" for="field_orderItem">Acc 2</label>
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <p-checkbox name="acc3" [(ngModel)]="pickingSlip.acc3" binary="true"></p-checkbox>
                    <label class="form-control-label" jhiTranslate="mpmApp.pickingSlip.acc3" for="field_orderItem">Acc 3</label>
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <p-checkbox name="acc4" [(ngModel)]="pickingSlip.acc4" binary="true"></p-checkbox>
                    <label class="form-control-label" jhiTranslate="mpmApp.pickingSlip.acc4" for="field_orderItem">Acc 4</label>
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <p-checkbox name="acc5" [(ngModel)]="pickingSlip.acc5" binary="true"></p-checkbox>
                    <label class="form-control-label" jhiTranslate="mpmApp.pickingSlip.acc5" for="field_orderItem">Acc 5</label>
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <p-checkbox name="acc6" [(ngModel)]="pickingSlip.acc6" binary="true"></p-checkbox>
                    <label class="form-control-label" jhiTranslate="mpmApp.pickingSlip.acc6" for="field_orderItem">Acc 6</label>
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <p-checkbox name="acc7" [(ngModel)]="pickingSlip.acc7" binary="true"></p-checkbox>
                    <label class="form-control-label" jhiTranslate="mpmApp.pickingSlip.acc7" for="field_orderItem">Acc 7</label>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-2">
                <label for="id" jhiTranslate="mpmApp.pickingSlip.promat1">promat1</label>
                <div class="input-group">
                    <p-checkbox name="Promo" (onChange)="promat()" [(ngModel)]="pickingSlip.promat1" binary="true"></p-checkbox>
                </div>
            </div>
            <div class="col-md-10">
                <label for="id" jhiTranslate="mpmApp.pickingSlip.qty">Qty</label>
                <div class="input-group">
                    <input type="text" class="form-control" id="id" name="id" [disabled]="!pickingSlip.promat1" [(ngModel)]="pickingSlip.qty" />
                </div>
            </div>
            <div class="col-md-12">
                <label for="id" jhiTranslate="mpmApp.pickingSlip.promat2">promat2</label>
                <div class="input-group">
                    <p-checkbox name="Promo" [(ngModel)]="pickingSlip.promat2" binary="true"></p-checkbox>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
